Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.jmx.builder
Class JmxEventEmitter

    java.lang.Object
      javax.management.NotificationBroadcasterSupport
          groovy.jmx.builder.JmxEventEmitter

All Implemented Interfaces:
  JmxEventEmitterMBean

    class JmxEventEmitter
    extends NotificationBroadcasterSupport

The JmxEventEmitter is a JMX Broadcaster class that is used to send generic events on the MBeanServer's event bus. It is used by the Emitter node () to send event to registered listeners.

         def jmx = JmxBuilder()
         jmx.emitter(name:"Object name"|ObjectName(), event:"event type")
         ...
         jmx.emitter.send(object)

author:
  Vladimir Vivien

see:
  JmxEmitterFactory

Nested Class Summary
`class` | `JmxEventEmitter.NumberSequencer`

Constructor Summary
`JmxEventEmitter()`

Method Summary
`String` | `getEvent()` Event type getter
`String` | `getMessage()` Event message getter
`long` | `send(Object data)` Called to broadcast message on MBeanServer event bus.
`void` | `setEvent(String event)` Event type setter
`void` | `setMessage(String message)` Event message setter.

Methods inherited from class NotificationBroadcasterSupport
addNotificationListener, getNotificationInfo, removeNotificationListener, removeNotificationListener, sendNotification, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### JmxEventEmitter

    JmxEventEmitter()

Method Detail

### getEvent

    public String getEvent()

  Event type getter
  return:
    - returns event type string thrown by this emitter

### getMessage

    public String getMessage()

  Event message getter
  return:
    - message that is associated with event.

### send

    public long send(Object data)

  Called to broadcast message on MBeanServer event bus. Internally, it calls NotificationBroadCasterSupport.sendNotification() method to dispatch the event.
  param:
    data - a data object sent as part of the event parameter.
  return:
    a sequence number associated with the emitted event.

### setEvent

    public void setEvent(String event)

  Event type setter
  param:
    event - event type set for this emitter.

### setMessage

    public void setMessage(String message)

  Event message setter.
  param:
    message - message that is associated with event emitted.

Copyright © 2003-2009 The Codehaus. All rights reserved.